// packageH/newDraw/newDrawMyPrize/newDrawMyPrize.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    activeName: 0,
    dataList: [],
    titleArr: ["全部", "待发货", "待收货", "已完成"],
    isLoadMore: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.data.dataList = [];
    this.setNewArr();
  },
  setNewArr() {
    let dataList = [];
    this.data.titleArr.forEach((val, index) => {
      dataList.push({
        isLoadMore: true,
        page: 1,
        total_page: 0,
        list: []
      });
    });
    this.setData({
      dataList
    });
    this.handleClick();
  },
  handleClick(event) {
    if (event) {
      this.data.activeName = event.detail.name;
    }
    let that = this;
    if (this.data.dataList[that.data.activeName].list.length > 0) {
      this.setData({
        isLoadMore: this.data.dataList[that.data.activeName].isLoadMore
      });
      return;
    }
    wx.showLoading({
      title: '加载中',
    });

    let urlStr = app.getNetAddresss('plugin.luck-draw.frontend.index.myPrize');
    app._postNetWork({
      url: urlStr,
      data: {
        state: that.data.activeName
      },
      success: (resdata) => {
        wx.hideLoading();
        let res = resdata.data;
        if (res.result == 1) {
          that.setData({
            ['dataList[' + that.data.activeName + '].isLoadMore']: true,
            ['dataList[' + that.data.activeName + '].total_page']: res.data.last_page,
            ['dataList[' + that.data.activeName + '].list']: res.data.data,
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: 'none'
          });
        }
      },
      fail: function (res) {
        wx.hideLoading();
        console.log(res.msg);
      }
    });
  },
  _getMoreData() {
    let that = this;
    this.setData({
      ['dataList[' + that.data.activeName + '].isLoadMore']: false
    });
    if (this.data.dataList[this.data.activeName].page >= this.data.dataList[this.data.activeName].total_page) {
      return;
    } else {
      this.data.dataList[this.data.activeName].page = this.data.dataList[this.data.activeName].page + 1;
      let urlStr = app.getNetAddresss('plugin.luck-draw.frontend.index.myPrize');
      urlStr += "&page=" + this.data.dataList[this.data.activeName].page;
			
      app._getNetWork({
        url: urlStr,
        data:{ state: that.data.activeName },
        success: function(resdata) {
          var res = resdata.data;
          if (res.result == 1) {
            let myData = res.data;
            that.setData({
              ['dataList[' + that.data.activeName + '].isLoadMore']: true,
              ['dataList[' + that.data.activeName + '].list']: that.data.dataList[that.data.activeName].list.concat(myData.data)
            });
          }else{
            that.setData({
              ['dataList[' + that.data.activeName + '].isLoadMore']: false,
              ['dataList[' + that.data.activeName + '].page']: that.data.dataList[that.data.activeName].page -1
            });
          }
        },
        fail: function(res) {
          console.log(res);
        }
      });
    }
  },
  gotoDetail(e){
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageA/member/orderdetail/orderdetail?order_id=' + id + '&orderType=luck-draw'
    });
  },
  confirmBtn(e) {
    let index = e.currentTarget.dataset.index;
    let item = e.currentTarget.dataset.item;
    let api = "plugin.luck-draw.frontend.index.express";
    if (index == 0) {
      //查看物流
      wx.navigateTo({
        url: '/packageA/member/order/logistics/logistics?id=' + item.order_id + "&api=" + api
      });
    }else{
      this.publicMessage({api:'order.operation.receive',name:'确认收货'},{id: item.order_id});
    }
  },
  //
  publicMessage(btn, order) {
    let that = this;
    if (!btn.api) {
      return;
    }
    wx.showModal({
      title: '提示',
      content: `确定${btn.name}?`,
      success(res) {
        if (res.confirm) {
          let urlStr = '';
          urlStr += app.getNetAddresss(btn.api);
          urlStr += '&order_id=' + order.id;
          app._getNetWork({
            url: urlStr,
            success: function (resdata) {
              var res = resdata.data;
              if (res.result == 1) {
                that.getNetData();
                wx.showToast({
                  title: `${btn.name}成功`,
                  icon: 'success',
                  duration: 1500
                });
              } else {
                wx.showToast({
                  icon: 'none',
                  title: res.msg,
                  duration: 1000
                });
              }
            },
            fail: function (res) {
              console.log(res);
            }
          });
        }
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});